#!/bin/bash

function exit_if_pid_running(){
  pid="$1"
  name="$2"
  if [ -z "$name" ]; then
    name="$pid"
  fi
  if [ -n "$pid" ]; then
    if [ -n "$(ps -fp "$pid" | grep $name)" ]; then
      #echo "Already running ($pid, $name)."
      exit 0
    fi
  fi
}

function start_if_not_running(){
  command="$1"
  pid_file="$2"
  pid_check_name="$3"

  pid="$(cat "$pid_file")"
  exit_if_pid_running "$pid" "$pid_check_name"
  echo "============ STARTING ============"
  date
  echo "$command"
  exec $command
}

base="$HOME"

pidfile="$base/dddcms.pid"
start_if_not_running "$base/dddcms/.../ddd.py -p $pidfile" \
                     "$pidfile" "$pidfile"

